summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-12-16 10:31:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-17 01:18:28 +0700
commit2d0eef9522c2b0ec734509f4d32c0cbb1afbdc79 (patch)
treec73c29b64cbe5a27c63ef49fc2bb1edb366d6641
parente4239268a33152a5630083182e141e60d17fa16d (diff)
downloadslackbuilds-2d0eef9522c2b0ec734509f4d32c0cbb1afbdc79.tar.gz
slackbuilds-2d0eef9522c2b0ec734509f4d32c0cbb1afbdc79.tar.xz
system/bin2iso: Added (RAW to ISO/WAV converter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/bin2iso/README1
-rw-r--r--system/bin2iso/bin2iso.SlackBuild81
-rw-r--r--system/bin2iso/bin2iso.info10
-rw-r--r--system/bin2iso/readme.txt132
-rw-r--r--system/bin2iso/slack-desc19
5 files changed, 243 insertions, 0 deletions
diff --git a/system/bin2iso/README b/system/bin2iso/README
new file mode 100644
index 0000000000..d32d0e6ffd
--- /dev/null
+++ b/system/bin2iso/README
@@ -0,0 +1 @@
+Converts RAW format (.bin) files to ISO/WAV format.
diff --git a/system/bin2iso/bin2iso.SlackBuild b/system/bin2iso/bin2iso.SlackBuild
new file mode 100644
index 0000000000..2c1abefb33
--- /dev/null
+++ b/system/bin2iso/bin2iso.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for bin2iso
+
+# Copyright 2016 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bin2iso
+VERSION=${VERSION:-19b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+[ -z "$CC" ] && CC=cc
+$CC $SLKCFLAGS -Wall -o $PRGNAM $CWD/$PRGNAM${VERSION}_linux.c
+install -Dm0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/bin2iso/bin2iso.info b/system/bin2iso/bin2iso.info
new file mode 100644
index 0000000000..748a31d78c
--- /dev/null
+++ b/system/bin2iso/bin2iso.info
@@ -0,0 +1,10 @@
+PRGNAM="bin2iso"
+VERSION="19b"
+HOMEPAGE="http://users.eastlink.ca/~doiron/bin2iso/"
+DOWNLOAD="http://users.eastlink.ca/~doiron/bin2iso/linux/bin2iso19b_linux.c"
+MD5SUM="01dab72496175a772bcf6e08c854d440"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/system/bin2iso/readme.txt b/system/bin2iso/readme.txt
new file mode 100644
index 0000000000..62309bfbda
--- /dev/null
+++ b/system/bin2iso/readme.txt
@@ -0,0 +1,132 @@
+Jul 25 1999, 09:29:46
+bin2iso V1.9b - Converts RAW format (.bin) files to ISO/WAV format
+ Bob Doiron, ICQ#280251
+
+Linux port by Owen: mxu@cae.wisc.edu
+
+Check for updates at http://users.andara.com/~doiron
+
+Usage: bin2iso <cuefile> [<output dir>] [-[a]wg] [-t XX] [-i] [-nob]
+or : bin2iso <cuefile> -c <binfile>
+
+Where:
+ <cuefile> - the .cue file that belongs to the .bin file to
+ be converted
+ <output dir> - the output directory (defaults to current dir)
+ -nwg - indicates that audio data found in the track
+ 'gaps' shouldn't be appended to the audio tracks
+ -awg - looks for non-zero data in the 'gaps', if found
+ then gaps are appended to audio tracks. Looks
+ for more than 1/2 of a sector of non-zero values
+ (588 values),
+ -t XX - Extracts the XX'th track.
+ -i - Performs the conversion 'in place'. Meaning it
+ truncates the binfile after each track is
+ created to minimize diskspace requirements.
+ [not valid with -t]
+ -nob - Doesn't use overburn data past 334873 sectors.
+ This of course presumes that the data is not
+ useful.
+ -c - Attempts to create a <cuefile> from an existing
+ <binfile>
+
+
+---------------------------------------------------------------------
+NOTE: This is a work in progress!
+
+So far I beleive it handles MODE1, MODE2 and AUDIO tracks.
+
+Since I have little exposure to .bin files, and little expertise in
+CD formats, I can't guarantee this will work for all .bin's.
+
+so... TEST the output before burning. Use Winimage on the ISO files
+and a wave player on the WAVs.
+
+If you do run into trouble, send me the following info:
+- .cue file
+- command line used
+- the screen output
+- directory listing of source and files created (with sizes)
+and I'll fix it up.
+
+Revision History
+
+v1.9b
+ - Oops.. was no way to turn writegap off:
+ changed -wg option to -nwg
+
+v1.9a
+ - Fixed bug in extracting single track
+ - changed code to default to writing gap data because of the way
+ easycd pro writes the table of contents for the cd
+
+v1.9
+ - revamped internally allowing me to do add some functionality...
+ Added a -i option to allow converting a bin using a little diskspace
+ as possible. !NOTE! This is destructive to the original .bin
+ - No longer barfs on PREGAP lines...
+ - Added a -awg option that checks for non-zero data in the gaps between
+ audio tracks and turns on the -wg feature if it finds more than half
+ a sector of non-zero values.
+ - Added a -nob option that ditches overburn data. I haven't tested this,
+ but rumour has it that some cd players can't access data over 74.XX
+ minutes. I'm not sure if I beleive this, but I put the option in in
+ case I get a chance to try it. (so far untested!)
+
+v1.8b
+ - modified the audio gap detection scheme for creating cue files...
+ Now it may detect extra gaps, but they are easily removed by editing
+ the cuefile. Before it would sometimes not detect gaps, so I think
+ this is better.
+
+v1.8
+ - Added the ability to create a cuefile from a binfile.
+ (assumes MODE1/2352, MODE2/2352 or AUDIO tracks)
+ - Added ISO track numbering for cd's with more than one data track
+
+v1.7
+ - Made the reads/writes happen in 4Meg chunks... should speed things up
+ when read from and writing to the same disk. (less head thrashing)
+ - Added Mode2/2336: When this type of track is encountered, it converts
+ it to the trusty Mode2/2352 track we're used to. (Burn with EasyCD
+ or open with WinImage)
+ Or, if you like, you can rename the output from a .iso to a .bin and then
+ edit the cue file track type from MODE2/2336 to MODE2/2352 to burn with
+ cdrwin.
+
+v1.6
+ - Added a '-wg' command switch to make bin2iso append pregap sectors to the
+ last wav file. Useful because some cd's have music in the pregaps.
+ Note: most TAO burning leaves 2 second gaps between songs, so if you copy
+ a copy, then don't use the -wg option. If you do use it, then the
+ audio track will grow by 2 seconds.
+
+v1.5
+ - Fixed parsing of the filename from the cue file. (handles spaces etc)
+ - Added progress display
+ - Detects a single track, mode2 bin which can be burnt as is.
+ - Verifies data tracks (checks the mode and frame sequence)
+
+v1.4
+ - fixed bug that occured when tracks had no pregap index
+ - parsing of .bin filename out of .cue file now ditches path info
+ - fixed bugs in [<output dir>] parsing. (trailing '\' or ':')
+
+v1.3
+ - first release to public
+
+Suggested programs:
+WinImage - for viewing ISO images
+EasyCD Pro 2.11 (020) - for burning ISO or Mixed mode ISO/WAV
+ (rumour is that creator doesn't always burn the
+ images as is, sometimes screws long filenames
+ or burns a mode2 iso in mode1 form, etc, etc)
+Nero - Burning Rom - For burning AUDIO disks because it allows changing
+ the gap size on my sony928e.
+
+!DO NOT USE! Easy CD Creator for burning mode2/2352 images. You'll get a coaster.
+
+
+TROUBLESHOOTING
+
+Don't know of any problems right now. Let me know.
diff --git a/system/bin2iso/slack-desc b/system/bin2iso/slack-desc
new file mode 100644
index 0000000000..cc64e5ed05
--- /dev/null
+++ b/system/bin2iso/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bin2iso: bin2iso (RAW to ISO/WAV converter)
+bin2iso:
+bin2iso: Converts RAW format (.bin) files to ISO/WAV format.
+bin2iso:
+bin2iso: Homepage: http://users.eastlink.ca/~doiron/bin2iso/
+bin2iso:
+bin2iso:
+bin2iso:
+bin2iso:
+bin2iso:
+bin2iso: